Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.grmm.inference
Class AbstractBeliefPropagation.MaxProductMessageStrategy

    java.lang.Object
      cc.mallet.grmm.inference.AbstractBeliefPropagation.AbstractMessageStrategy
          cc.mallet.grmm.inference.AbstractBeliefPropagation.MaxProductMessageStrategy

All Implemented Interfaces:
  AbstractBeliefPropagation.MessageStrategy, java.io.Serializable

Enclosing class:
  AbstractBeliefPropagation

    public static class AbstractBeliefPropagation.MaxProductMessageStrategy

extends AbstractBeliefPropagation.AbstractMessageStrategy
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary

Fields inherited from class cc.mallet.grmm.inference.AbstractBeliefPropagation.AbstractMessageStrategy
`messages, oldMessages`

Constructor Summary
`AbstractBeliefPropagation.MaxProductMessageStrategy()`

Method Summary
`void` | `sendMessage(FactorGraph mdl, Factor from, Variable to)`
`void` | `sendMessage(FactorGraph mdl, Variable from, Factor to)`

Methods inherited from class cc.mallet.grmm.inference.AbstractBeliefPropagation.AbstractMessageStrategy
`msgProduct, setMessageArray`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractBeliefPropagation.MaxProductMessageStrategy

    public AbstractBeliefPropagation.MaxProductMessageStrategy()

Method Detail

### sendMessage

    public void sendMessage(FactorGraph mdl,
                            Factor from,
                            Variable to)

  Specified by:
    `sendMessage` in interface `AbstractBeliefPropagation.MessageStrategy`

### sendMessage

    public void sendMessage(FactorGraph mdl,
                            Variable from,
                            Factor to)

  Specified by:
    `sendMessage` in interface `AbstractBeliefPropagation.MessageStrategy`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD